> ## Documentation Index
> Fetch the complete documentation index at: /llms.txt
> Use this file to discover all available pages before exploring further.

# List your API keys



## OpenAPI

````yaml /openapi.json get /v1/keys
openapi: 3.1.0
info:
  title: datachad API
  description: Accounts, API keys and catalogue access for datachad datasets.
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.datachad.xyz
security: []
tags:
  - name: Auth
    description: Sign up, log in and read the current user.
  - name: API keys
    description: Create and revoke keys for programmatic access.
  - name: Datasets
    description: Browse the catalogue and its metadata.
paths:
  /v1/keys:
    get:
      tags:
        - API keys
      summary: List your API keys
      operationId: list_keys
      responses:
        '200':
          description: Active keys, newest first
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ApiKeyInfo'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ApiKeyInfo:
      type: object
      required:
        - id
        - name
        - prefix
        - created_at
      properties:
        created_at:
          type: string
        id:
          type: integer
          format: int64
        last_used_at:
          type:
            - string
            - 'null'
        name:
          type: string
        prefix:
          type: string
          description: First characters of the key, for identification.
    ErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````